OGRE: Ogre::Resource::Listener Class Reference - OGRE Documentation

Public Member Functions

# Ogre::Resource::Listener Class Reference

`#include <OgreResource.h>`

Inheritance diagram for Ogre::Resource::Listener:
[legend]

List of all members.

## Public Member Functions
| Listener ()
virtual | ~Listener ()
virtual void | backgroundLoadingComplete (Resource *)
| Callback to indicate that background loading has completed.
virtual void | backgroundPreparingComplete (Resource *)
| Callback to indicate that background preparing has completed.
virtual void | loadingComplete (Resource *)
| Called whenever the resource finishes loading.
virtual void | preparingComplete (Resource *)
| called whenever the resource finishes preparing (paging into memory).
virtual void | unloadingComplete (Resource *)
| Called whenever the resource has been unloaded.

## Detailed Description

Definition at line 81 of file OgreResource.h.

## Constructor & Destructor Documentation

Ogre::Resource::Listener::Listener | ( |  | ) |

Definition at line 84 of file OgreResource.h.

virtual Ogre::Resource::Listener::~Listener | ( |  | ) | `[virtual]`

Definition at line 85 of file OgreResource.h.

## Member Function Documentation

virtual void Ogre::Resource::Listener::backgroundLoadingComplete | ( | Resource * |  | ) | `[virtual]`

Callback to indicate that background loading has completed.

Deprecated:
  Use loadingComplete instead.

Reimplemented in Ogre::Entity.

Definition at line 91 of file OgreResource.h.

virtual void Ogre::Resource::Listener::backgroundPreparingComplete | ( | Resource * |  | ) | `[virtual]`

Callback to indicate that background preparing has completed.

Deprecated:
  Use preparingComplete instead.

Definition at line 97 of file OgreResource.h.

virtual void Ogre::Resource::Listener::loadingComplete | ( | Resource * |  | ) | `[virtual]`

Called whenever the resource finishes loading.

Remarks:
  If a Resource has been marked as background loaded (

See also:
  Resource::setBackgroundLoaded), the call does not itself occur in the thread which is doing the loading; when loading is complete a response indicator is placed with the ResourceGroupManager, which will then be sent back to the listener as part of the application's primary frame loop thread.

Definition at line 107 of file OgreResource.h.

virtual void Ogre::Resource::Listener::preparingComplete | ( | Resource * |  | ) | `[virtual]`

called whenever the resource finishes preparing (paging into memory).

Remarks:
  If a Resource has been marked as background loaded (

See also:
  Resource::setBackgroundLoaded) the call does not itself occur in the thread which is doing the preparing; when preparing is complete a response indicator is placed with the ResourceGroupManager, which will then be sent back to the listener as part of the application's primary frame loop thread.

Definition at line 118 of file OgreResource.h.

virtual void Ogre::Resource::Listener::unloadingComplete | ( | Resource * |  | ) | `[virtual]`

Called whenever the resource has been unloaded.

Definition at line 121 of file OgreResource.h.

The documentation for this class was generated from the following file:

- OgreResource.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:24:59